{
  This demo shows how to use external TRichViewEdit.
  Note: some methods of TRichViewEdit have analogs in TSRichViewEdit, see
  the help file. Use methods of TSRichViewEdit.
}

unit MFExternalRV;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  RVScroll, RichView, RVEdit, SclRView, RVStyle, StdCtrls;

type
  TFExternalRV = class(TForm)
    RVStyle1: TRVStyle;
    ScrollBox1: TScrollBox;
    RichViewEdit1: TRichViewEdit;
    Button1: TButton;
    OpenDialog1: TOpenDialog;
    SRichViewEdit1: TSRichViewEdit;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FExternalRV: TFExternalRV;

implementation

{$R *.DFM}

procedure TFExternalRV.Button1Click(Sender: TObject);
begin
  if OpenDialog1.Execute then
    SRichViewEdit1.LoadRVF(OpenDialog1.FileName);
end;

end.
